/* Universal */
html {
  font-size: $baseFontSize;
}
body{
	min-width: 100%;
	max-width: 100%;
	float: left;
	color: $verydarkgrey;
	margin: 0;
	padding: 0;
	overflow-y: auto;
	font-family: $roboto;
	// transition: all ease 0.3s;
	position: relative;
}
a{
	text-decoration: none;
	color: $blue;
	transition: all ease 0.3s;
	&:hover,
	&:focus{
		color: $blue;
		text-decoration: none;
		outline: none;
	}
}
img{
	object-fit: cover;
}
button{
	&:focus{
		outline: none;
	}
}
input[type=text],
input[type=password],
input[type=email],
input[type=url],
input[type=time],
input[type=date],
input[type=datetime-local],
input[type=tel],
input[type=number],
input[type=search-md],
input[type=search]{
// select.form-control:not([size]):not([multiple]){
	min-height: unset;
  height: auto;
}
.screen-height {
  height: 100vh;
}
.custom-modal-open {
  overflow: hidden;
}
// Loader
.loader {
  position: relative;
  width: rem(100);
  &:before {
    content: '';
    display: block;
    padding-top: 100%;
  }
}

.circular {
  animation: rotate 2s linear infinite;
  height: 100%;
  transform-origin: center center;
  width: 100%;
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;
}

.path {
  stroke-dasharray: 1, 200;
  stroke-dashoffset: 0;
  stroke: $blue;
  // animation: dash 1.5s ease-in-out infinite, color 6s ease-in-out infinite;
  animation: dash 1.5s ease-in-out infinite;
  stroke-linecap: round;
}

.form-group{
  // &:not(.row) {
    padding-bottom: rem(16);
  // }
  margin-bottom: 0;
	.form-control{
		// border: 2px solid $verydarkgrey;
		// padding: rem(10);
		max-width: 100%;
    // &.input-sm{
    //   padding: rem(6);
    //   border-width: 1px;
    // }
		&.ng-invalid{
			&.ng-touched{
				border-color: $red;
        &:not(.ng-pristine){
          &::-webkit-input-placeholder { /* Chrome/Opera/Safari */
            color: $red;
          }
          &::-moz-placeholder { /* Firefox 19+ */
            color: $red;
          }
          &:-ms-input-placeholder { /* IE 10+ */
            color: $red;
          }
          &:-moz-placeholder { /* Firefox 18- */
            color: $red;
          }
        }
			}
		}
		// &:focus{
		// 	border-color: $oftblue;
		// 	box-shadow: 0 0 0.2rem $oftblue;
		// }
	}
	.input-group{
    &.only-text{
  		// border: 2px solid $verylightgrey;
  		border-radius: 0.25rem;
  		transition: all 0.15s ease;
  		&.ng-invalid{
  			&.ng-touched{
  				border-color: rgba($red, 0.7);
  			}
  		}
  		.form-control{
  			border: none;
  			border-radius: 0;
  		}
    }
    .form-control{
      box-shadow: none;
    }
    &.rounded-input-group {
      border-radius: rem(25);
    }
  }
  label{
    &.with-info{
      position: relative;
      .form-info {
        position: absolute;
        color: $blue;
        right: 0;
        bottom: 0;
        transform: translateX(calc(100% + 5px));
      }
    }
  }
}
// .input-group-append-with-input{
//   border-top-right-radius: rem(4);
//   border-bottom-right-radius: rem(4);
//   input,
//   select{
//     border-radius: 0;
//   }
// }
.form-container,
.form-group{
	position: relative;
	.help-block{
		position: absolute;
    top: 0;
    right: 0;
    line-height: rem(25);
    text-align: center;
    margin: 0;
    &.form{
      width: 100%;
    }
		&.bottom{
      top: auto;
      bottom: 0;
			left: 0;
      right: auto;
      line-height: rem(16);
		}
	}
}
// Tooltip
// .bs-tooltip-top .arrow,
// .bs-tooltip-bottom .arrow{
// 	// transform: translateX(-50%);
// }
.tooltip-inner{
	font-family: $roboto;
  font-size: rem(12);
  font-weight: 500;
}
// Custom Checkbox
.toggle-input-full-container{
  display: flex;
  flex-flow: row wrap;
  justify-content: flex-start;
  align-items: center;
  .toggle-input-wrapper{
    display: inline-flex;
    width: rem(34);
    height: rem(34);
    position: relative;
    line-height: 1;
    margin-right: rem(30);
    vertical-align: middle;
    z-index: 0;
    input[type="checkbox"],
    input[type="radio"]{
      width: 100%;
      height: 100%;
      opacity: 0;
      z-index: 1;
    }
    .toggle-input-view{
      width: 100%;
      height: 100%;
      display: inline-flex;
      position: absolute;
      top: 0;
      right: 0;
      bottom: 0;
      left: 0;
      &::before,
      &::after{
        display: inline-block;
        color: $verydarkgrey;
        font-size: rem(34);
        position: absolute;
        top: 0;
        left: 0;
        text-shadow: 1px 1px 2px rgba($black, 0.1);
        transition: all linear 0.1s;
      }
      &::after {
        font-weight: 900;
        visibility: hidden;
        opacity: 0;
      }
      &.checkbox{
        &::before,
        &::after{
          font-family: "Font Awesome 5 Free";
        }
        &::before {
          content: "\f0c8";
        }
        &::after {
          content: "\f14a";
        }
        &.round{
          &::before {
            content: "\f111";
          }
          &::after {
            content: "\f058";
          }
        }
      }
      &.radio{
        &::before,
        &::after{
          font-family: 'Material Icons';
        }
        &::before {
          content: "\e836";
        }
        &::after {
          content: "\e837";
        }
      }
    }
    &.toggle-input-sm{
      width: rem(18);
      height: rem(18);
      position: relative;
      line-height: 1;
      margin-right: rem(10);
      .toggle-input-view{
        &::before,
        &::after{
          font-size: rem(18);
        }
      }
    }
    input[type="checkbox"]:checked + .toggle-input-view,
    input[type="radio"]:checked + .toggle-input-view{
        &::before,
        &::after{
          color: $blue;
          visibility: visible;
          opacity: 1;
        }
    }
  }
  // label{
  //   &.checkbox-with-label{
  //     width: calc(100% - #{rem(68)});
  //     line-height: rem(34);
  //   }
  // }
}
// User Image Sizes
.user-thumbnail{
    width: rem(47);
    height: rem(47);
    &.medium{
        width: rem(40);
        height: rem(40);
    }
    &.semi-medium{
        width: rem(32);
        height: rem(32);
    }
    &.small{
        width: rem(30);
        height: rem(30);
    }
}
// Nav User details Dropdown
.nav-user-dropdown{
  min-width: rem(256);
}
.prepend-width-100{
  width: rem(100);
}
.take-full-space-left{
  flex-grow: 1;
}

/* Ratings widget */
:host {
  vertical-align: middle;
}
.rate {
  display: inline-block;
  border: 0;
}
/* Hide radio */
.rate > input.rate-input {
  display: none;
}
/* Order correctly by floating highest to the right */
.rate > label.rate-label {
  float: right;
  margin: 0;
  position: relative;
}
/* The star of the show */
.rate > label.rate-label:before {
  display: inline-block;
  font-size: 20px;
  padding: 0 4px;
  margin: 0;
  cursor: pointer;
  font-family: "Font Awesome 5 Free";
  font-style: normal;
  font-variant: normal;
  text-rendering: auto;
  -webkit-font-smoothing: antialiased;
  font-weight: 900;
  content: "\f005"; /* full star */
}
/* Zero stars rating */
/* .rate > label.rate-label:last-child:before {
  content: "\f006 ";
} */
/* Half star trick */
.rate label.rate-label.half {
  position: relative;
}
.rate label.rate-label.half:before {
  content: "\f089 "; /* half star no outline */
  position: absolute;
  padding-right: 0;
}
/* Click + hover color */
input.rate-input:checked ~ label.rate-label, /* color current and previous stars on checked */
label.rate-label:hover,
label.rate-label:hover ~ label.rate-label {
  color: #FFFF00;
} /* color previous stars on hover */

/* Hover highlights */
input.rate-input:checked + label.rate-label:hover,
input.rate-input:checked ~ label.rate-label:hover, /* highlight current and previous stars */
input.rate-input:checked ~ label.rate-label:hover ~ label.rate-label, /* highlight previous selected stars for new rating */
label.rate-label:hover ~ input.rate-input:checked ~ label.rate-label /* highlight previous selected stars */ {
  color: #FFFF33;
}

.inline-ul,
.inline-ul > li {display: inline;padding-left: 0; color: #CCCC00;}

